<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<%@ page 	language="java" import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil"
			session="true"
%>


<%
// Get URL parameters
String JobID = new String("");
String Command = new String("");
String JobName = new String("");
String JobDisabled = new String("N");
StringUtil util = new StringUtil();
StringHolder Buffer = new StringHolder("");
jdpb_24x7 myRemoteControl = null; //Declare 24x7 Remote Control object variable
Integer RetCode = new Integer(0);
boolean initialized = false;
if (session.getAttribute("initialized") != null)
	initialized = ((Boolean)session.getAttribute("initialized")).booleanValue();


if ( !initialized ) {
    // Report error
    out.println( "</head><h2>Error: 24x7 Remote Control interface is not initialized</h2>" );
	return;
}
else {
	JobID = request.getParameter("JOB_ID");
	Command = request.getParameter("COMMAND");

	// obtain reference to 24x7 object
	myRemoteControl = (jdpb_24x7) session.getAttribute("remote24x7");

	if (Command == null) Command = "";
	
	// get job name
	try {
		RetCode = myRemoteControl.getjobproperty(JobID, "NAME", Buffer);
		if (RetCode.intValue() == 1 ) 
			JobName = (String) Buffer.getValue();
		else // Report error
	        out.println( "</head><h2>GetJobProperty Error: " + RetCode + " -- " + myRemoteControl.getLasterror() + "</h2>" );
			
	}
	catch ( java.lang.Throwable e) {
		out.println( "</head><h2>Error retrieving job name</h2>"  +
			"Exception: " + e.getMessage() );
	}


    // get job enabled/disabled state
	try {
	    RetCode = myRemoteControl.getjobproperty(JobID, "DISABLED", Buffer);

		if (RetCode.intValue() == 1 ) 
			JobDisabled = (String) Buffer.getValue();
		else // Report error
	        out.println( "</head><h2>GetJobProperty Error: " + RetCode + " -- " + myRemoteControl.getLasterror() + "</h2>" );
			
	}
	catch ( java.lang.Throwable e) {
		out.println( "</head><h2>Error retrieving job state</h2>"  +
			"Exception: " + e.getMessage() );
	}
}
%>

<title>Job Properties -- <%=util.encodeHTML(JobName)%></title>
</head>

<body aLink="red" background="images/background.gif" bgColor="#f0e68c" link="#008080" text="#000000" vLink="#800000">
	<table border="0" cellPadding="3" cellSpacing="3" width="100%">
	  <tr>
	    <td noWrap valign="top"><h2>Job Properties<br><%=JobID + " -- " + util.encodeHTML(JobName)%></h2></td>
	    <td align="right" valign="top">
			<a href="job_log.jsp?JOB_ID=<%=JobID%>">View Job Log</a> | 
			<a href="run.jsp?JOB_ID=<%=JobID%>&amp;TYPE=job&amp;ORIGIN=job.jsp">Run Job</a> | 
			<a href="modify_job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=init">Modify Job</a><br>
			<a href="job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=disable">Disable/Enable Job</a> |
			<a href="delete_job.jsp?JOB_ID=<%=JobID%>">Delete Job</a><br><br>
			<a href="job_list.jsp">Job List</a> |
			<a href="logout.jsp">Logout</a>
	    </td>
	  </tr>
	</table>
<% 
	RetCode = new Integer(1);
	try {
		if (Command.equals("disable")) {
			// disable or enable job then display job properties
			if (JobDisabled.equals("Y")) 
				RetCode = myRemoteControl.enablejob(JobID);
			else
				RetCode = myRemoteControl.disablejob(JobID);
			
		}
		
		if (RetCode.intValue() == 1) {
			// get job definition as preformated HTML table
			RetCode = myRemoteControl.getjobdefinition(JobID, Buffer, new Boolean(true));
			if (RetCode.intValue() == 1) {
				// output HTML table
				out.print( (String)Buffer.getValue() );
			}
		}
		
		if (RetCode.intValue() != 1) {
			// Report error
		    out.println( "<h2>Error: " + RetCode + " -- " + 
				myRemoteControl.getLasterror() + "</h2>" );
		}
	}
	catch ( java.lang.Throwable e) {
		out.println( "<h2>System Error</h2>Exception: " + e.getMessage() );
	}
%>
</body>
</html>
