<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Intermediate Script</title>
</head>
<%@ page 	language="java" import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil"
			session="true"
%>


<body>

<%
boolean initialized = false;
if (session.getAttribute("initialized") != null)
	initialized = ((Boolean)session.getAttribute("initialized")).booleanValue();

if ( !initialized ) {
    // Report error
    out.println( "<h2>Error: 24x7 Remote Control interface is not initialized</h2>" );
}
else {
	String JobDefinition = new String("");
	jdpb_24x7 myRemoteControl = null; //Declare 24x7 Remote Control object variable
	Integer RetCode = new Integer(0);

	// Get URL parameters
	String ObjectType = new String(request.getParameter("TYPE"));
	
	// obtain reference to 24x7 object
	myRemoteControl = (jdpb_24x7) session.getAttribute("remote24x7");
	// create requested object
	if (ObjectType.equals("job")) { 
		// create new job
		JobDefinition = request.getParameter("JOB_DEFINITION");
		try {
			RetCode = myRemoteControl.createjob(JobDefinition);
		}
		catch ( java.lang.Throwable e) {
			out.println( "<h2>Error creating new job</h2>"  +
				"Exception: " + e.getMessage() );
			return;
		}
		if (RetCode.intValue() > 0) RetCode = new Integer(1); // succeeded
	}
	else if  (ObjectType.equals("folder")) {
		// create new folder
		
		// obtain parameters of new folder
		String FolderName = new String(request.getParameter("FOLDER_NAME"));
		String FolderDescription = new String(request.getParameter("FOLDER_DESC"));
		IntegerHolder newFolderID = new IntegerHolder(new Integer(0));
		
		
		try {
			// create new folder
			RetCode = myRemoteControl.createfolder(FolderName, FolderDescription, newFolderID);
		}
		catch ( java.lang.Throwable e) {
			out.println( "<h2>Error creating new folder</h2>"  +
				"Exception: " + e.getMessage() );
			return;
		}
	}
	else if (ObjectType.equals("template")) {
		// create new job from template
		
		// This is the most complicated case as we do not know in JSP design
		// time how many and what form fields we need to process.
		// Fortunately, the script fill_template.jsp script stores all 
		// control information in 2 hidden fields: JOB_DEFINITION and MACRO_VAR_LIST
		
		// Now, we need to replace all macro-variables in the script
		// with the user//s input.
		String MacroVarList, VarName, UserData;
		int Pos = 0;
		
		MacroVarList = request.getParameter("MACRO_VAR_LIST"); // list of variables
		JobDefinition = request.getParameter("JOB_DEFINITION"); // job definition with macro variables
		
		// parse list of variables and substitute them in the job definition
		while ( !MacroVarList.equals("")) {
			Pos = MacroVarList.indexOf(",");
			if (Pos <= 0) break; // exit loop
			VarName = MacroVarList.substring(0, Pos).trim();
			MacroVarList = MacroVarList.substring(Pos + 1);
			
			// get user's input for that variable
			UserData = request.getParameter(VarName);
			
			// replace all occurrences of found VarName with UserData
			Pos = JobDefinition.indexOf("%" + VarName + "%");
			while (Pos > 0) {
				JobDefinition = JobDefinition.substring(0, Pos) + UserData + 
								JobDefinition.substring(Pos + VarName.length() + 2);
				Pos = JobDefinition.indexOf("%" + VarName + "%", Pos);
			}
		}
		
		
		// job definition is now complete.
		try {
			RetCode = myRemoteControl.createjob(JobDefinition);
		}
		catch ( java.lang.Throwable e) {
			out.println( "<h2>Error creating new job</h2>"  +
				"Exception: " + e.getMessage() );
			return;
		}
		
		if (RetCode.intValue() > 0) RetCode = new Integer(1); // succeeded
	}
	else
		RetCode = new Integer(-1000);
		
	if (RetCode.intValue() != 1) {
		// error handling
		if (RetCode.intValue() == -1000) { 
			out.println( "<h2>Create Error: Invalid object type passed to procedure</h2>" );
		}
		else {
			out.println( "<h2>Create Error: " + RetCode + " -- " + 
				myRemoteControl.getLasterror() + "</h2>" );
		}
	}
    else
		// ok, object is created, now send user back to the job list page
		response.sendRedirect(response.encodeRedirectURL("job_list.jsp"));
}
%>

</body>
</html>


