<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Create New Job From Template</title>
</head>

<%@ page 	language="java" 
			import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil, java.io.*"
			session="true"
%>



<body background="images/background.gif" bgcolor="#f0e68c" text="#000000" link="#008080" vlink="#800000" alink="#ff0000">

<table border="0" cellpadding="3" cellspacing="3" width="100%">
    <tr>
        <td valign="top" nowrap><h2>Create New Job<br>From Template</h2></td>
        <td align="right" valign="top">
			<a href="job_list.jsp">Job List</a> | 
			<a href="logout.jsp">Logout</a> 
		</td>
    </tr>
</table>

<hr>

<form action="create.jsp?TYPE=template" method="post">
<table>
	<tr>
		<td align=left valign=top>Enter job name:<br>&nbsp;</td>
		<td align=left valign=top><input size=50 name="NAME" style="HEIGHT: 24px"></td>
	</tr>

<%

///////////////////////////////////////////////////////////////////
// The following script builds dynaimc form containing prompts 
// and fields as specified in the template file whose name is 
// passed as URL parameter.
//
// On submit this dynamic JSP page calls create.jsp intermidiate
// JSP script which replaces macro parameters in the template with 
// data entered by the user. The resulting job definition file 
// finaly gets submited to the 24x7 Scheduler CreateJob method.
///////////////////////////////////////////////////////////////////

// Get URL parameters
String TemplateFile = new String("");
if (request.getParameter("TEMPLATE") != null )
	TemplateFile = (String)request.getParameter("TEMPLATE"); 
String MacroVarList = new String("NAME,");
String JobDefinition = new String("");
String JobScript = new String("");
StringUtil util = new StringUtil();


// load specified template file into buffer variable
String Buffer = new String("");
String URLRoot = new String(this.getServletConfig().getServletContext().getRealPath(request.getContextPath()));
File f = new File(URLRoot + "\\templates\\" + TemplateFile);
try 
{
	FileReader in = new FileReader(f);
	char c[] = new char[(int)f.length()];
	in.read(c);
	in.close();
	Buffer = new String(c);
} 
catch(java.io.IOException fe) {
	out.println("<h2>Error: Cannot read template file " +  
		URLRoot + "\\templates\\" + TemplateFile + "</h2>");
}
	
// Now file contents is loaded into a buffer variable
// let's parse it and build dynamic form that will have fields
// required by the selected template
	
int StartPos = 1;
int EndPos = 0;
int TempPos = 0;
int BufferLength = Buffer.length();
String TextLine, VarName, EditStyle;
boolean VarSection = false;
	
while (StartPos < BufferLength) {
	// go line by line
	// find CR/LF
	EndPos = Buffer.indexOf("\r\n", StartPos);
	if (EndPos <= 0) EndPos = BufferLength;
	TextLine = Buffer.substring(StartPos, EndPos).trim();
		
	if (!TextLine.equals("")) { // not an empty line
		// check if the line starts with a semicolon which indicates comments
		if (!TextLine.startsWith(";")) { // this line is not a comment line
			// check if we hit the [Variables] section, if not
			// skip current line 
			if (!VarSection) {
				if (TextLine.equals("[Variables]")) VarSection = true; // Set flag 
			}
			else {
				// check if we reached post variables section
				if (TextLine.equals("[Body]")) {
					JobScript = Buffer.substring(StartPos);
					JobDefinition = JobDefinition + "NAME=%NAME%\r\n";
					break; // break loop
				}
				
				// check if the line starts with a percent sign 
				// indicating macro-variable		
				if (TextLine.startsWith("%")) {
					// get name of the variable and edit style
					TempPos = TextLine.indexOf("%", 2);
					if (TempPos <= 2) { // error
						out.println( "<h2>Template Error: Invalid template file format in line: " +
									  util.encodeHTML(TextLine) + "</h2>" );
						break; // break loop
					}
						
					VarName = TextLine.substring(1, TempPos);
					// add variable to the list
					MacroVarList = MacroVarList + VarName + ",";
						
					TempPos = TextLine.indexOf("=", TempPos + 1);
					if (TempPos <= 0) { // error
						out.println( "<h2>Template Error: Invalid template file format in line: " +
									  util.encodeHTML(TextLine) + "</h2>" );
						break; // break loop
					}
						
					// get edit style for the current variable
					// and add new field to the form
					TextLine = TextLine.substring(TempPos + 1).trim(); 
					TempPos = TextLine.indexOf(",");
					if (TempPos <= 0) { // error
						out.println( "<h2>Template Error: Invalid template file format in line: " +
									  util.encodeHTML(TextLine) + "</h2>" );
						break; // break loop
					}
						
					EditStyle = TextLine.substring(0, TempPos).trim();
					// add prompt and form field, whose type depends on the edit style
					if (EditStyle.equals("YES/NO")) { // add check box
						out.print(	"\t<tr>\n" + 
									"\t\t<td align=left valign=top>" + 
										util.encodeHTML(TextLine.substring(TempPos + 1)) + "<br>&nbsp;</td>\n" + 
									"\t\t<td align=left valign=top>" + 
										"<input size=1 name=\"" + VarName + "\" style=\"HEIGHT: 24px\"></td>\n" + 
									"\t</tr>\n" );
					}
					else { // all other styles
						out.print(	"\t<tr>\n" + 
									"\t\t<td align=left valign=top>" + 
										util.encodeHTML(TextLine.substring(TempPos + 1)) + "<br>&nbsp;</td>\n" + 
									"\t\t<td align=left valign=top>" + 
										"<input size=255 name=\"" + VarName + "\" style=\"HEIGHT: 24px; WIDTH: 333px\"></td>\n" + 
									"\t</tr>\n" );
					}
				}
				else {
					// current line contains regular job property
					JobDefinition = JobDefinition + TextLine + "\n";
				}
			}
		}
	}
		
	// process next line
	StartPos = EndPos + 2;
} // end loop

// add hidden field containing main job definiton section
out.print(	"\t<tr>\n" + 
			"\t\t<td></td>\n" + 
			"\t\t<td><input type=\"hidden\" name=\"JOB_DEFINITION\" value=\"" + 
				util.encodeHTML(JobDefinition + "\n" + JobScript) + "\"></td>\n" + 
			"\t</tr>\n" );



// add hidden field to store list of macro-variable names
out.print(	"\t<tr>\n" +
			"\t\t<td></td>\n" +
			"\t\t<td><input type=\"hidden\" name=\"MACRO_VAR_LIST\" value=\"" + 
				util.encodeHTML(MacroVarList) + "\"></td>\n" +
			"\t</tr>\n" ) ;
%>
					
	<tr>
		<td></td>
		<td align=right>
			<input type="submit" value="Submit">&nbsp;
			<input type="reset" value="Reset">
		</td>
	</tr>
</table>
</form>

</body>
</html>


