<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>24x7 Scheduler - Job List</title>
</head>

<%@ page 	language="java" import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil"
			session="true"
%>

<body background="images/background.gif" bgcolor="#f0e68c" text="#000000" link="#008080" vlink="#800000" alink="#ff0000">

<table border="0" cellpadding="3" cellspacing="3" width="100%">
    <tr>
        <td valign="top">
			<h2><a name="top">24x7 Scheduler - Job List</a></h2>
        </td>
        <td align="right" valign="top" rowspan="2" nowrap>
			<a href="template.htm">Create job</a> |
			<a href="create_folder.htm">Create folder</a> | 
			<a href="delete_folder.jsp">Delete folder</a><br><br>
			<a href="job_list.jsp">Refresh job list</a> | 
			<a href="logout.jsp">Logout</a> 
        </td>
    </tr>
    <tr>
        <td valign="top"><font size="2">Click on the job icon to see job properties or click on the job name to see job log</font> </td>
    </tr>
</table>
<div align="left">

<table border="1" cellspacing="10" width="100%" bgcolor="#ffffff" bordercolor="#daa520">
    <tr>
        <td bordercolor="#ffffff">
        <table border="0" cellpadding="0" cellspacing="0" width="250" bgcolor="#ffffff">
        <%
			boolean initialized = false;
			if (session.getAttribute("initialized") != null)
				initialized = ((Boolean)session.getAttribute("initialized")).booleanValue();

			if (!initialized) {
			    // Report error
			    out.println( "<h2>Error: 24x7 Remote Control interface is not initialized</h2>" );
			}
			else {
				jdpb_24x7 myRemoteControl = null; //Declare 24x7 Remote Control object variable
				Integer RetCode = new Integer(0);
				StringUtil util = new StringUtil();
				
				// obtain reference to 24x7 object
				myRemoteControl = (jdpb_24x7) session.getAttribute("remote24x7");
				
				// Get job list, in plain text format
				//StringHolder Buffer = new StringHolder(""); 
				// allocate 64 KB
				StringHolder Buffer = new StringHolder((new StringBuffer(64*1024)).toString()); 
				
				// every returned line will contain job id, job name,
				// job state, and job folder name separated by tab characters
				// every line will be terminated by CR/LF pair of characters
				try {
					RetCode = myRemoteControl.getjoblistex(Buffer, new Boolean(false), "DISABLED,FOLDER_NAME");
				
					if (RetCode.intValue() != 1) {
					    out.println( "<h2>GetJobList Error: " + RetCode.toString() + 
									 " -- " + myRemoteControl.getLasterror() + "</h2>" );
					}
					else {
						String 	jobID, jobName, jobDisabled, jobImage,
								nodeImage, jobFolder, temp = new String("");
						
						// parse returned job list
						String jobList = (String)Buffer.getValue();
						int startPos = 0, endPos = 0, listLength = 0;
						listLength = jobList.length();

						while (startPos < listLength)
						{
							// get job id
							endPos = jobList.indexOf("\t", startPos);
							jobID = jobList.substring(startPos, endPos);
							startPos = endPos + 1;
							
							// get job name
							endPos = jobList.indexOf("\t", startPos);
							jobName = jobList.substring(startPos, endPos);
							startPos = endPos + 1;
							
							// get job state
							endPos = jobList.indexOf("\t", startPos);
							jobDisabled = jobList.substring(startPos, endPos);
							startPos = endPos + 1;
							
							// get job folder
							endPos = jobList.indexOf("\r\n", startPos);
							jobFolder = jobList.substring(startPos, endPos);
							startPos = endPos + 2;
						
							if (!jobFolder.equals(temp)) // add folder node
							{
					        	temp = jobFolder;
					            out.println( "<tr>" );
					            out.println( "<td nowrap width=\"20\" height=\"16\"><img src=\"images/treeminus.gif\" width=\"18\" height=\"16\"></td>" );
								out.println( "<td nowrap width=\"22\" height=\"16\"><img src=\"images/folder.gif\" width=\"16\" height=\"16\"></td>" );
								out.println( "<td nowrap colspan=\"2\" width=\"500\" height=\"16\"><font color=\"#000000\" size=\"2\">" +
									"<b>" + util.encodeHTML(jobFolder) + "</b></font></td>"  );
								out.println( "</tr>"  );
							}

					        // add job node
					        if (jobDisabled.equals("Y")) // disabled job
					            jobImage = "images/job_disabled.gif";
					        else
					            jobImage = "images/job.gif";
					        
					        if (startPos >= listLength - 2) // last job
								nodeImage = "images/treeend.gif";
							else
								nodeImage = "images/treemiddle.gif";

							out.println( "<tr>"  );
					        out.println( "<td nowrap width=\"20\" height=\"16\"></td>" );
					        out.println( "<td nowrap width=\"20\" height=\"16\"><small><img src=\"" + nodeImage + "\" width=\"18\" height=\"16\"></small></td>" );
							out.println( "<td nowrap width=\"22\" height=\"16\"><small><img src=\"" + jobImage + "\" width=\"16\" height=\"16\"></small></td>" );
							out.println( "<td nowrap width=\"500\" height=\"16\">" +
								"<a href=\"job.jsp?JOB_ID=" + jobID + "&amp;COMMAND=properties\"><small>" +
								util.encodeHTML(jobName) + "</small></a></td>"  );
							out.println( "</tr>"  );
						} // end loop
					}
				}
				catch ( java.lang.Throwable e) {
					out.println( "<h2>Error retrieving job list</h2>"  +
						"Exception: " + e.getMessage() );
					return;
				}
			}
		%>
        </table>
        </td>
    </tr>
</table>
</div>
</body>
</html>
