<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<%@ page 	language="java" import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil"
			session="true"
%>

<%
String JobID = new String("");
String JobName = new String("");
StringUtil util = new StringUtil();
StringHolder Buffer = new StringHolder("");
jdpb_24x7 myRemoteControl = null; //Declare 24x7 Remote Control object variable
Integer RetCode = new Integer(0);
boolean initialized = false;

if (session.getAttribute("initialized") != null)
	initialized = ((Boolean)session.getAttribute("initialized")).booleanValue();

if ( !initialized ) {
    // Report error
    out.println( "</head><h2>Error: 24x7 Remote Control interface is not initialized</h2>" );
	return;
}
else {
	JobID = (String) request.getParameter("JOB_ID");
	
	// obtain reference to 24x7 object
	myRemoteControl = (jdpb_24x7) session.getAttribute("remote24x7");

	try {
		// get job name
		RetCode = myRemoteControl.getjobproperty(JobID, "NAME", Buffer);
		if (RetCode.intValue() != 1) 
		    // Report error
	        out.println( "</head><h2>GetJobProperty Error: " + RetCode + " -- " + 
				myRemoteControl.getLasterror() + "</h2>");
	    else
	        JobName = (String)Buffer.getValue();
	}
	catch ( java.lang.Throwable e) {
		out.println( "</head><h2>Error</h2>"  + "Exception: " + e.getMessage() );
	}
}
%>

<title>Job Log -- <%=util.encodeHTML(JobName)%></title>
</head>

<body aLink="red" background="images/background.gif" bgColor="#f0e68c" link="#008080" text="#000000" vLink="#800000">
	<table border="0" cellPadding="3" cellSpacing="3" width="100%">
	  <tr>
	    <td noWrap valign="top"><h2>Job Log<br><%=JobID + " -- " + util.encodeHTML(JobName)%></h2></td>
	    <td align="right" valign="top">
			<a href="job_log.jsp?JOB_ID=<%=JobID%>">Refresh</a> | 
			<a href="run.jsp?JOB_ID=<%=JobID%>&amp;TYPE=job&amp;ORIGIN=job_log.jsp">Run Job</a> | 
			<a href="modify_job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=init">Modify Job</a><br>
			<a href="job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=disable">Disable/Enable Job</a> |
			<a href="delete_job.jsp?JOB_ID=<%=JobID%>">Delete Job</a><br><br>
			<a href="job_list.jsp">Job List</a> |
			<a href="logout.jsp">Logout</a>
		</td>
	  </tr>
	</table>

	<div align="left">
	<table bgColor="white" border="1" bordercolor="#daa520" cellPadding="1" cellSpacing="10" width="100%">
  
	<tr>
		<td borderColor="white">
		<% 
		
		try {
			// get portion of 24x7 job log HTML table. 
			// The log is filtered for the job passed as a parameter to this JSP page
		
			RetCode = myRemoteControl.getjoblog(JobID, Buffer, new Boolean(true));
						
			if (RetCode.intValue() >= 0)
				// output HTML table
				out.print( (String)Buffer.getValue() );
			else    
				// Report error
		    	out.println( "<h2>GetJobLog Error: " + RetCode + " -- " + 
					myRemoteControl.getLasterror() + "</h2>" );
		}
		catch ( java.lang.Throwable e) {
			out.println( "<h2>Error retrieving job log</h2>"  + "Exception: " + e.getMessage() );
		}
		%>
		</td>
	</tr>
	</table>
	</div>
</body>
</html>
