<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Modify Job</title>
</head>

<%@ page 	language="java" import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil"
			session="true"
%>

<body background="images/background.gif" bgcolor="#f0e68c" text="#000000" link="#008080" vlink="#800000" alink="#ff0000">


<%
//////////////////////////////////////////
// This JSP page is self updatable.
// It may call itself recursivelly
// with different parameters in page URL
//////////////////////////////////////////

// Get URL parameters
String JobID = new String("");
if (request.getParameter("JOB_ID") != null) JobId = request.getParameter("JOB_ID");
String Command = new String("");
if (request.getParameter("COMMAND") != null) Command = request.getParameter("COMMAND");
String JobName = new String("");
String PropertyName = new String("");
if (request.getParameter("PROPERTY_NAME") != null) PropertyName = request.getParameter("PROPERTY_NAME");
String NewValue = new String("");
if (request.getParameter("NEW_VALUE") != null)	NewValue = request.getParameter("NEW_VALUE");
// ItemName array holds names of user controlled updateable job properties
int ItemCount = 70;

String[] ItemName = {	new String("ACCOUNT"),
						new String("AGENT"),
						new String("ASYNC"),
						new String("BACKUP_AGENT"),
						new String("BACKUP_HOST"),
						new String("COMMAND"),
						new String("DAY_NAME"),
						new String("DAY_NUMBER"),
						new String("DELAY"),
						new String("DELETE_RULE"),
						new String("DESCRIPTION"),
						new String("DETACHED"),
						new String("DISABLE_ON_ERROR"),
						new String("DISABLED"),
						new String("END_DATE"),
						new String("END_TIME"),
						new String("FILE"),
						new String("FRIDAY"),
						new String("HOST"),
						new String("IGNORE_ERRORS"),
						new String("INIT_TIMEOUT"),
						new String("INTERVAL"),
						new String("JOB_PASSWORD"),
						new String("JOB_TYPE"),
						new String("KEYSTROKE"),
						new String("LOG"),
						new String("MESSAGE"),
						new String("MONDAY"),
						new String("MONTHLY_TYPE"),
						new String("MSG_ACCOUNT"),
						new String("MSG_DATABASE"),
						new String("MSG_EMAIL"),
						new String("MSG_ERROR"),
						new String("MSG_FILE"),
						new String("MSG_FILE_NAME"),
						new String("MSG_FINISH"),
						new String("MSG_NOTFOUND"),
						new String("MSG_PASSWORD"),
						new String("MSG_PROFILE"),
						new String("MSG_RECIPIENT"),
						new String("MSG_SQL"),
						new String("MSG_START"),
						new String("NAME"),
						new String("NUMBER_OF_RETRIES"),
						new String("PASSWORD"),
						new String("POLLING_INTERVAL"),
						new String("PRIORITY"),
						new String("PROFILE"),
						new String("REBOOT"),
						new String("RETRY_INTERVAL"),
						new String("RETRY_ON_ERROR"),
						new String("SATURDAY"),
						new String("SAVE_ATTACHMENT"),
						new String("SCHEDULE_TYPE"),
						new String("SCRIPT"),
						new String("SEND_KEYSTROKE"),
						new String("SKIP"),
						new String("SKIP_HOLIDAY"),
						new String("SLIDE_HOLIDAY"),
						new String("SQL"),
						new String("START_DATE"),
						new String("START_IN"),
						new String("START_TIME"),
						new String("SUBJECT"),
						new String("SUNDAY"),
						new String("THURSDAY"),
						new String("TIMEOUT"),
						new String("TUESDAY"),
						new String("WEDNESDAY"),
						new String("WINDOW")};
StringUtil util = new StringUtil();
StringHolder Buffer = new StringHolder("");
jdpb_24x7 myRemoteControl = null; //Declare 24x7 Remote Control object variable
Integer RetCode = new Integer(0);
boolean initialized = false;
if (session.getAttribute("initialized") != null)
	initialized = ((Boolean)session.getAttribute("initialized")).booleanValue();


if ( !initialized ) {
    // Report error
    out.println( "<h2>Error: 24x7 Remote Control interface is not initialized</h2>" );
	return;
}
else {
	// obtain reference to 24x7 object
	myRemoteControl = (jdpb_24x7) session.getAttribute("remote24x7");

	// get job name
	try {
		RetCode = myRemoteControl.getjobproperty(JobID, "NAME", Buffer);
		if (RetCode.intValue() != 1)
	    	// Report error
        	out.println( "<h2>GetJobProperty Error: " + RetCode + " -- " + 
				myRemoteControl.getLasterror() + "</h2>" );
		else
			JobName = (String)Buffer.getValue();
	
		if (!PropertyName.equals("")) {
			// Perform requested processing if any valid command is passed as URL parameter
			if (Command.equals("modify")) { 
				// modify the specified job property
				RetCode = myRemoteControl.setjobproperty(JobID, PropertyName, NewValue);
				if (RetCode.intValue() != 1) {
	    			// Report error
				    out.println( "<h2>SetJobProperty Error: " + RetCode + " -- " + 
						myRemoteControl.getLasterror() + "</h2>" );
    			}
			}
			else if (Command.equals("describe")) {
				// describe the specified job property
				RetCode = myRemoteControl.getjobproperty(JobID, PropertyName, Buffer);
				if (RetCode.intValue() != 1) {
	    			// Report error
				    out.println( "<h2>GetJobProperty Error: " + RetCode + " -- " + 
						myRemoteControl.getLasterror() + "</h2>" );
    			}
			    NewValue = (String)Buffer.getValue();
			}
		}
	}
	catch ( java.lang.Throwable e) {
		out.println( "<h2>Modify/DEscribe Error</h2>Exception: " + e.getMessage() );
	}
}
%>

<table border="0" cellpadding="3" cellspacing="3" width="100%">
    <tr>
        <td valign="top" nowrap><h2>Modify Job<br><%=JobID + " -- " + util.encodeHTML(JobName)%></h2></td>
        <td align="right" valign="top"><a href="job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=properties">Back to job properties view</a><br><br>
        <a href="job_list.jsp">Job List</a> | 
        <a href="logout.jsp">Logout</a> </td>
    </tr>
</table>

<hr>


<form name="form1" action="modify_job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=describe" method="post">
    <table border="0" cellspacing="5" width="220">
        <tr>
            <td valign="top" width="100" nowrap>Job Property:</td>
            <td><select name="PROPERTY_NAME" size="1" id="PROPERTY_NAME" style="HEIGHT: 22px; WIDTH: 197px">
<% 
			// populate drop-down list with job property names
			for (int Index = 0; Index < ItemCount; Index++) {
				if (ItemName[Index].equals(PropertyName)) {
				 	// same property that passed as a parameter to this JSP page
					// add selected property
					out.println( "\t\t<option SELECTED value=\"" + ItemName[Index] + "\">" + ItemName[Index] + "</option>" );
				}
				else {
					// add not selected property
					out.println( "\t\t<option value=\"" + ItemName[Index] + "\">" + ItemName[Index] + "</option>" );
				}
			}
%>
            </select></td>
        </tr>
        <tr>
            <td valign="top" width="100" nowrap>New Value:</td>
            <td><textarea cols="60" id="NEW_VALUE" name="NEW_VALUE" rows="4" style="HEIGHT: 117px; WIDTH: 333px"><%=util.encodeHTML(NewValue)%></textarea></td>
        </tr>
        <tr>
            <td colspan="2">
				<p align="right">
				<input type="button" value="Modify Property" onClick="javascript:document.form1.action='modify_job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=modify'; document.form1.submit();"> 
				<input type="button" value="Get Current Value" onClick="javascript:document.form1.action='modify_job.jsp?JOB_ID=<%=JobID%>&amp;COMMAND=describe'; document.form1.submit();"> 
				<input type="reset" value="Reset Form"> 
				</p>
            </td>
        </tr>
    </table>
</form>

</body>
</html>
