<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Processing</title>
</head>
<%@ page 	language="java" import="com.sybase.dpb.*,com.softtreetech.scheduler.*, StringUtil"
			session="true"
%>


<body>

<%
// Get URL parameters
boolean initialized = false;
if (session.getAttribute("initialized") != null)
	initialized = ((Boolean)session.getAttribute("initialized")).booleanValue();

if ( !initialized ) {
    // Report error
    out.println( "<h2>Error: 24x7 Remote Control interface is not initialized</h2>" );
	return;
}
else {
	String ProcessType = new String(request.getParameter("TYPE"));
	StringUtil util = new StringUtil();
	StringHolder Buffer = new StringHolder("");
	jdpb_24x7 myRemoteControl = null; //Declare 24x7 Remote Control object variable
	Integer RetCode = new Integer(0);
	String Command = new String("");
	String PageOfOrigin = new String("");


	// obtain reference to 24x7 object
	myRemoteControl = (jdpb_24x7) session.getAttribute("remote24x7");

	try {
		if (ProcessType.equals("command")) {
			// execute DOS command without waiting for command to complete
			Integer Timeout = new Integer(0);
			Boolean Async = new Boolean(true);
			Command = new String(request.getParameter("COMMAND"));
			
			RetCode = myRemoteControl.runshellcommand(Command, "", Async, Timeout);
		}
		else if (ProcessType.equals("script")) {
			// execute JAL script and wait for it to complete
			// IMPORTANT: If a script takes a long time to run, 
			//            consider creating dynamic asynhronious job
			//            and run that job instead of the script
			Command = new String(request.getParameter("SCRIPT"));
			RetCode = myRemoteControl.runscript(Command);
		}
		else if (ProcessType.equals("job")) {
			// execute specified job asynhroniously wihtout 
			// waiting for it to complete
			// IMPORTANT: If a job takes a long time to run, 
			//            consider running job asynhroniously
			//            to avoid JSP timeouts
			PageOfOrigin = new String(request.getParameter("ORIGIN"));
			Command = new String(request.getParameter("JOB_ID"));
			RetCode = myRemoteControl.runjob(Command, new Boolean(false));
		}
		else
			RetCode = new Integer(-1000);
			
		
		if (RetCode.intValue() != 1) {
			// error handling
			if (RetCode.intValue() == -1000)
				out.println( "<h2>Run Error: Invalid object type passed to procedure</h2>" );
			else {
				out.println( "<h2>Run Error: " + RetCode + " -- " + 
					myRemoteControl.getLasterror() + "</h2>" );
				out.println( "<p><b>Process:&nbsp;</b>" + util.encodeHTML(Command) + "</p>" );
			}
		}
	    else {
			if (ProcessType.equals("job")) 
				// job was executed, now send user back to previous page
				response.sendRedirect(response.encodeURL(PageOfOrigin + "?JOB_ID=" + Command + "&COMMAND=properties"));
			else	
				// ok, command or script was executed, now send user back to the menu page
				response.sendRedirect(response.encodeURL("other.htm"));
	    }
	}
	catch ( java.lang.Throwable e) {
		out.println( "<h2>System Error</h2>Exception: " + e.getMessage() );
	}
}
%>

</body>
</html>


